petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMatMultNumeric

Performs the numeric matrix-matrix product. Call this routine after first calling MatMatMultSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatMultNumeric(Mat A,Mat B,Mat C)

Neighbor-wise Collective on Mat Many br

### Input Parameters

| A | - the left matrix Many br
| B | - the right matrix Many br

### Output Parameters

C -the product matrix, which was created by from MatMatMultSymbolic() or a call to MatMatMult(). Many br

### Notes

C must have been created with MatMatMultSymbolic(). Many br

This routine is currently implemented for Many br- pairs of AIJ matrices and classes which inherit from AIJ, C will be of type MATAIJ. Many br- pairs of AIJ (A) and Dense (B) matrix, C will be of type Dense. Many br- pairs of Dense (A) and AIJ (B) matrix, C will be of type Dense. Many br

Many br

### See Also

MatMatMult(), MatMatMultSymbolic()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html